MeiroDocs

Trash

+ Parameters

Section: Group Trash. Base URL: https://api.instance_name.meiro.io/.

Trashed Items [/trash{?limit,offset,order_dir,item_type,searched_text,load_full_structure}]

Retrieve Trashed Items [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_dir (string, optional) - Ordering direction (by items' creation date)
    • item_type (string, optional) - Items' type filter (workspace, configuration, ...)
    • searched_text (string, optional) - Searched items' name.
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "trashed_items": [
        {
            "type": "workspace",
            "entity": {
                ...
            }
        },
        {
            "type": "configuration",
            "entity": {
                ...
            }
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_dir": "ASC",
        "item_type": null,
        "searched_text": null
    }
}

On this page